be.ehealth.businessconnector.mediprimauma.service.impl

## Class MediprimaUmaServiceImpl

- java.lang.Object
- - be.ehealth.businessconnector.mediprimauma.service.impl.MediprimaUmaServiceImpl

- All Implemented Interfaces:
    MediprimaUmaService, ConfigurationModuleBootstrap.ModuleBootstrapHook

      public class MediprimaUmaServiceImpl
      extends Object
      implements MediprimaUmaService, ConfigurationModuleBootstrap.ModuleBootstrapHook

  Implementation of `MediprimaUmaService`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MediprimaUmaServiceImpl()` default constructor, needed for ModuleBootstrapHook.
    `MediprimaUmaServiceImpl(SessionValidator sessionValidator, EhealthReplyValidator replyValidator)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bootstrap()`
    `DeleteUrgentMedicalAidAttestationResponse` | `deleteUrgentMedicalAidAttestation(SAMLToken token, DeleteUrgentMedicalAidAttestationRequest request)`
    `SearchUrgentMedicalAidAttestationResponse` | `searchUrgentMedicalAidAttestation(SAMLToken token, SearchUrgentMedicalAidAttestationRequest request)`
    `SendUrgentMedicalAidAttestationResponse` | `sendUrgentMedicalAidAttestation(SAMLToken token, SendUrgentMedicalAidAttestationRequest request)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MediprimaUmaServiceImpl

          public MediprimaUmaServiceImpl(SessionValidator sessionValidator,
                                         EhealthReplyValidator replyValidator)

    - #### MediprimaUmaServiceImpl

          public MediprimaUmaServiceImpl()

      default constructor, needed for ModuleBootstrapHook.

  - ### Method Detail

    - #### deleteUrgentMedicalAidAttestation

          public DeleteUrgentMedicalAidAttestationResponse deleteUrgentMedicalAidAttestation(SAMLToken token,
                                                                                             DeleteUrgentMedicalAidAttestationRequest request)
                                                                                      throws MediprimaUmaDeleteException,
                                                                                             TechnicalConnectorException

      Specified by:
        `deleteUrgentMedicalAidAttestation` in interface `MediprimaUmaService`
      Throws:
        `MediprimaUmaDeleteException`
        `TechnicalConnectorException`

    - #### searchUrgentMedicalAidAttestation

          public SearchUrgentMedicalAidAttestationResponse searchUrgentMedicalAidAttestation(SAMLToken token,
                                                                                             SearchUrgentMedicalAidAttestationRequest request)
                                                                                      throws MediprimaUmaSearchException,
                                                                                             TechnicalConnectorException

      Specified by:
        `searchUrgentMedicalAidAttestation` in interface `MediprimaUmaService`
      Throws:
        `MediprimaUmaSearchException`
        `TechnicalConnectorException`

    - #### sendUrgentMedicalAidAttestation

          public SendUrgentMedicalAidAttestationResponse sendUrgentMedicalAidAttestation(SAMLToken token,
                                                                                         SendUrgentMedicalAidAttestationRequest request)
                                                                                  throws MediprimaUmaSendException,
                                                                                         TechnicalConnectorException

      Specified by:
        `sendUrgentMedicalAidAttestation` in interface `MediprimaUmaService`
      Throws:
        `MediprimaUmaSendException`
        `TechnicalConnectorException`

    - #### bootstrap

          public void bootstrap()

      Specified by:
        `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

Connector Packaging PHYSIOTHERAPIST 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.